package org.seasar.jsf.selector;

import org.seasar.jsf.JsfConstants;
import org.seasar.jsf.TagProcessor;
import org.seasar.jsf.TagSelector;
import org.seasar.jsf.processor.TagProcessorImpl;
import org.xml.sax.Attributes;

/**
 * @author higa
 *
 */
public class InjectSelector implements TagSelector {

	public InjectSelector() {
	}

	/**
	 * @see org.seasar.maya.pages.TagSelector#isSelectable(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)
	 */
	public boolean isSelectable(String namespaceURI, String localName,
			String qName, Attributes attributes) {

		return attributes.getValue(JsfConstants.MAYA_NSURI, JsfConstants.INJECT_ATTR) != null;
	}

	public TagProcessor createProcessor() {
		return new TagProcessorImpl();
	}

	public String getInject() {
		return null;
	}
}
